html {
    -webkit-text-size-adjust: none;
    margin: 0;
    padding: 0;
    height: -webkit-fill-available;
    background: grey;
}

body {
    margin: 0px auto;
    padding: 5px;
    height: -webkit-fill-available;
    font-family: Cabin, Arial, serif;
    color: white;
    /*max-width: 375px;*/
    min-height: 610px;
    background: black;
    position: relative;
}

h1 {
    text-align: center;
    margin: 0px;
}

.youare,
.goto,
.compass {
    border: 1px solid white;
    border-radius: 10px;
    margin: 4px 4px;
    padding: 4px;
}

.youare.label {
    font-size: 0.8em;
}

#location_6fig,
#goto_6fig {
    display: block;
    text-align: center;
    font-size: 1.6em;
    font-family: Courier;
}

.os_letters {
    font-size: 1.8em;
}

.os_big {
    font-size: 2.0em;
    padding-left: 5px;
    font-weight: bold;
}

.os_sm {
    opacity: 0.8;
}

#location_acc {
    float: right;
    display: block;
}

footer {
    position: absolute;
    bottom: 1px;
    left: 0;
    width: 100%;
    border-top: 1px solid white;
    height: 35px;
    background: #333;
}

.btn {
    display: inline-block;
    padding: 5px;
    border: 1px solid white;
    border-radius: 3px;
    cursor: pointer;
    margin: 5px;
    background: #333333;
    color: white;
    font-size: 14px;
}

.btn:disabled {
    opacity: 0.5;
}

.btn:hover:enabled {
    background: grey;
}


.other_locations {
    display: none;
}

.center {
    text-align: center;
}

#goto_distance,
#goto_bearing {
    margin: 3px 10px;
    font-size: 1.6em;
    font-family: Courier;
}

.compass {
    position: relative;
}

.compass.disabled .compass_content {
    opacity: 0.7;
}

.compass:not(.disabled) .enable_compass {
    display: none;
}

.compass.disabled .enable_compass {
   position: absolute;
    top: 40%;
    text-align: center;
    width: 100%;
}


#rose {
    margin: 10px auto;
    width: 250px;
    height: 250px;
    position: relative;
}

#compass {
    display: block;
    position: absolute;
    right: 4px;
    top: 0px;
    height: 30px;
    text-align: right;
    background: rgba(0, 0, 0, 0.3);
    font-size: 2em;
    font-family: Courier;
}

.rose_img, .arrow_img {
    width: 250px;
    height: 250px;
    top: 0px;
    left: 0px;
    rotation: 10deg;
    transform: rotate(-0deg);
    position: absolute;
}

.arrow_img,
.goto {
    display: none;
}